Package org.apache.maven.scm.provider.svn

## Class SvnChangeSet

- java.lang.Object
- - org.apache.maven.scm.ChangeSet
  - - org.apache.maven.scm.provider.svn.SvnChangeSet

All Implemented Interfaces:
  `java.io.Serializable`

    public class SvnChangeSet
    extends ChangeSet

Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.maven.scm.ChangeSet

`AMPERSAND_ENTITY, APOSTROPHE_ENTITY, GREATER_THAN_ENTITY, LESS_THAN_ENTITY, QUOTE_ENTITY`

### Constructor Summary

Constructors
`SvnChangeSet()`
`SvnChangeSet​(java.lang.String strDate, java.lang.String userDatePattern, java.lang.String comment, java.lang.String author, java.util.List<ChangeFile> files)`
`SvnChangeSet​(java.util.Date date, java.lang.String comment, java.lang.String author, java.util.List<ChangeFile> files)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `containsFilename​(java.lang.String filename, ScmProviderRepository repository)`

### Methods inherited from class org.apache.maven.scm.ChangeSet

`addFile, addMergedRevision, containsFilename, equals, escapeValue, getAuthor, getComment, getDate, getDateFormatted, getFiles, getMergedRevisions, getParentRevision, getRevision, getTimeFormatted, hashCode, setAuthor, setComment, setDate, setDate, setDate, setFiles, setMergedRevisions, setParentRevision, setRevision, toString, toXML`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SvnChangeSet

    public SvnChangeSet()

#### SvnChangeSet

    public SvnChangeSet​(java.lang.String strDate,
                        java.lang.String userDatePattern,
                        java.lang.String comment,
                        java.lang.String author,
                        java.util.List<ChangeFile> files)

#### SvnChangeSet

    public SvnChangeSet​(java.util.Date date,
                        java.lang.String comment,
                        java.lang.String author,
                        java.util.List<ChangeFile> files)

### Method Detail

#### containsFilename

    public boolean containsFilename​(java.lang.String filename,
                                    ScmProviderRepository repository)

Overrides:
  `containsFilename` in class `ChangeSet`
  `repository` - NOT USED
Returns: